<?PHP

/*
   class.aga.php - AGA - Automatyczne Generowanie Artykuw
                         (Automatic Article Generator)
   
   $Id: class.aga.php,v 1.3 2006-02-28 00:59:49 kb Exp $

   This file is part of phpWikiBot
   Copyright (C) 2006 Krzysztof Burghardt.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

class Aga {
	private $bodyURL;
	private $templateURL;
	protected $body;
	protected $template;
	protected $article;

	public function __construct($bodyURL, $templateURL) {
		$this->bodyURL = $bodyURL;
		$this->templateURL = $templateURL;
	}
	public function __destruct() {
		unset($this->bodyURL);
		unset($this->templateURL);
		unset($this->body);
		unset($this->template);
	}

	protected function getBody() {
		$this->body = @file_get_contents($this->bodyURL) ||
		    die ("Failed opening file: error was '$php_errormsg'\n");
	}
	protected function getTemplate() {
		$this->template = @file_get_contents($this->templateURL) ||
		    die ("Failed opening file: error was '$php_errormsg'\n");
	}
	protected function fillTemplate($templateMarks, $data) {
		$this->article = str_replace($templateMarks, $data, $this->template);
		$this->article = iconv("ISO-8859-2", "UTF-8", $this->article);
	}
}

?>
