<?PHP

/*
   class.phpwikiagabot.php - phpWikiBot using Aga module
   
   $Id: class.phpwikiagabot.php,v 1.2 2006-02-27 20:49:01 kb Exp $

   This file is part of phpWikiBot
   Copyright (C) 2006 Krzysztof Burghardt.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


include 'config.php';
include 'class.phpwikibot.php';

class phpWikiAgaBot {
    private $a;
    private $b;
    private $agaURL;
    
    public function __construct($agaURL, $agaTemplate, $wiki) {
	$this->a = new Sejm($agaURL, $agaTemplate);
	$this->b = new phpWikiBot($wiki);
	$this->agaURL = $agaURL;
    }
    public function __destruct() {
	unset($this->a);
	unset($this->b);
    }

    public function autoArticle() {
	$title = $this->a->makeTitle();
	if (! $this->b->checkIfArticleExists($title)) {
	    $article = $this->a->makeArticle();

	    $this->b->createArticle($title, $article,
		"Aga::Sejm - " . $this->agaURL, 0);
	} else {
	    echo $title . ": already exists\n";
	}
    }
}

?>
